<template>
  <!-- Language Leaderboard Card -->
  <v-row no-gutters>
    <v-col cols="auto" md="" class="pl-2">
      <v-text class="text-h2">
        Language Leaderboard
      </v-text>
    </v-col>
    <v-col cols="auto" class="pl-11">
      <div class="text-center">
        <v-btn color="#E57373" block rounded="xl" size="x-large" prepend-icon="mdi-check-circle"
          append-icon="mdi-account-circle">
          <template v-slot:prepend>
            <v-icon color="">mdi mdi-weather-night</v-icon>
          </template>
          Turkish
          <template v-slot:append>
            <v-icon color="">mdi mdi-chevron-down</v-icon>
          </template>
        </v-btn>
      </div>
    </v-col>
  </v-row>

  <!-- Table displaying data -->
  <v-container>
    <v-col cols="12" sm="12">
      <UiChildCard title="General Table">
        <v-table class="table">
          <thead>
            <tr>
              <th class="text-left text-disabled">RANKING</th>
              <th class="text-left text-disabled">MEMBER</th>
              <th class="text-left text-disabled">RANK</th>
           
              <th class="text-right text-disabled">SCORE</th>
            </tr>
          </thead>
          <tbody>
            <tr v-for="item in desserts" :key="item.name">
              <td class="text-left">{{ item.ranking }}</td>
              <td>
                <v-row align="center">
                  <v-col cols="2">
                    <v-img :src="item.img" width="50" height="50" class="pr-7"></v-img>
                  </v-col>
                  <v-col cols="10">{{ item.name }}</v-col>
                </v-row>
              </td>
              <td class="text-left">
                <v-row align="left">
                  <v-col>{{ item.rank }}</v-col>
                </v-row>
              </td>
          
              <td class="text-right">{{ item.score }}<v-text class="mr-1">points</v-text></td>
            </tr>
          </tbody>
        </v-table>
      </UiChildCard>
    </v-col>
  </v-container>
</template>

<script>
export default {  //ส่วนนี้เป็นข้อมูลที่เอาไว้แสดงในตาราง
    data() {
        return {
            desserts: [
                {
                    ranking: '1',
                    name: 'Jerome Bell',
                    img:"https://www.melivecode.com/users/3.png",
                    rank: 'Turkish Star Master',
                    score: '5500',
                },
                       {
                    ranking: '2',
                    name: 'Courtney Henry',
                    img: "https://www.melivecode.com/users/2.png",
                    rank: 'Turkish Cerfied',
                    score: '5500',
                },
                       {
                    ranking: '3',
                    name: 'Arlene MeCoy',
                    img: "https://www.melivecode.com/users/4.png",
                    rank: 'Turkish Specialist',
                    score: '5500',
                },
                       {
                    ranking: '4',
                    name: 'Darrell Steward',
                    img: "https://www.melivecode.com/users/5.png",
                    rank: 'Turkish Specialist',
                    score: '5500',
                },

            ]
        };
    },
   
};
</script>

<style lang="scss" scoped>
//ส่วนนี้เอาไว้ตกแต่งตารางที่เอาไว้แสดงข้อมูล
.table {
  width: 860px;
  height: 280px;
  margin-top: 1px;
  border-radius: 30px;
}

.table th,
.table td {
  padding: 0px;
}

.table th {
  background-color: #ffffff;
}

.table tbody tr:hover {
  border-radius: 20px;
  background-color: #effbcd;
}
</style>